Page MenuHomePhabricator

Introduce @skip tag in mediawiki selenium
Closed, DeclinedPublic

Description

When a test is failing due to a bug outside my control, I do not want to trigger e-mails for failures for known bugs. Ideally I should be able to tag troublesome tests with @skip:T<bug number>

When this tag is used, the test still runs but shows up as a warning in the results rather than a failure.

@dduvall

Event Timeline

Jdlrobson raised the priority of this task from to Needs Triage.
Jdlrobson updated the task description. (Show Details)
Jdlrobson added a subscriber: Jdlrobson.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 1 2015, 11:54 PM
zeljkofilipin triaged this task as Medium priority.Jun 2 2015, 3:58 PM
zeljkofilipin updated the task description. (Show Details)
zeljkofilipin set Security to None.
zeljkofilipin moved this task from Inbox to Next on the Browser-Tests-Infrastructure board.
zeljkofilipin added a subscriber: dduvall.
kaldari closed this task as Resolved.Jun 3 2015, 1:03 AM
kaldari claimed this task.
kaldari added a subscriber: kaldari.

This was implemented for Mobile-Web in https://gerrit.wikimedia.org/r/#/c/215542/

Jdlrobson reopened this task as Open.Jun 3 2015, 4:19 AM

This is for a generic component

greg reassigned this task from kaldari to dduvall.Jun 3 2015, 5:23 PM
dduvall removed dduvall as the assignee of this task.Jun 3 2015, 5:33 PM
zeljkofilipin closed this task as Declined.May 26 2017, 3:51 PM
zeljkofilipin lowered the priority of this task from Medium to Low.
zeljkofilipin added a subscriber: zeljkofilipin.

Unlikely to ever be resolved because of T139740: Port Selenium tests from Ruby to Node.js.